Subject: RE: Interoperability for DAV:ishidden?

From: "Lisa Dusseault" <[email-masked]>
Date: Fri, 28 Feb 2003 14:03:53 -0800

Since this discussion last year, I haven't heard of anybody supporting
"ishidden" and show interop. At a minimum, only one other organization
needs to do so, and then show that both their server and IIS 5.0 work
with Web Folders to hide resources (if Web Folders in fact does this).
I'd take a trace and a screenshot as "proof" and put this into
RFC2518bis.  In the absence of proof, I'm not planning to add more
properties.

Lisa

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jim Luther
> Sent: Wednesday, September 04, 2002 10:19 AM
> To: [email-masked]
> Subject: Re: Interoperability for DAV:ishidden?
> 
> 
> 
> If this were part of the standard, I'd certainly want to support it.  
> Mac OS X creates some files which are intended to be hidden 
> (being UNIX  
> based, Mac OS X hides files which begin with a "." character) 
> and so a  
> standard WebDAV property to indicate that a file is supposed to be  
> hidden would be welcome.
> 
> - Jim
> 
> On Wednesday, September 4, 2002, at 06:01 AM, Julian Reschke wrote:
> 
> >
> > Hi,
> >
> > one thing that the participants of the interop meeting may want to
> > consider...
> >
> > A long time ago ([1]), Microsoft proposed a live property 
> DAV:ishidden  
> > which
> > signals that a resource should be displayed as hidden in a UI.
> >
> > Support currently exists in:
> >
> > MS IIS 5.0: reports DAV:ishidden according to the file 
> system flags of  
> > the
> > underlying file system
> > MS webfolder client: asks for DAV:ishidden, and hides the resource  
> > when it
> > is reported as hidden
> > SAP Enterprise Portal Server: treats DAV:ishidden as live property  
> > with the
> > semantics defined in [1]
> >
> > I think this is a really useful feature, and in case we can 
> identify  
> > another
> > client that supports it, we may want to roll it into RFC2518.
> >
> > Regards, Julian
> >
> >
> >
> > [1]  
> > <http://greenbytes.de/tech/webdav/draft-hopmann-collection-props- 
> > 00.txt>
> >
> > --
> > <green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760
> >
>

---

From: Jim Luther <[email-masked]>
Date: Fri, 28 Feb 2003 14:48:13 -0800

I doubt that we'll end up doing anything with the ishidden property 
based on our experience with other network file systems Apple ships. 
We've found that setting the hidden attribute on files our OS thinks 
should be hidden, but that other operating systems do not think should 
be hidden, creates some new user interface interoperability problems 
while solving others.

So, we won't be supplying your proof.

- Jim